<?xml version="1.0" encoding="utf-8"?>
<?xml-stylesheet type="text/xsl" href="therm.xsl"?>
<!--
 * Copyright (C) Honor Inc.
only support these sensors
sensor_name ,  type,   description
 system_h   ,    0 ,   board high temperature area
 pa_0       ,    1 ,   major pa
 charger    ,    2 ,   charge ic
 usb        ,    3 ,   USB
 cluster0   ,    4 ,   cpu little core
 cluster1   ,    5 ,   cpu middle core
 gpu        ,    6 ,   gpu core
 modem      ,    7 ,   modem
 ddr        ,    8 ,   ddr
 battery    ,    9 ,   battery
 lcd        ,    10,   display screen
 tp         ,    11,   touch screen
 system_l   ,    12,   board low temperature area
 rfboard    ,    13,   mobile cool area
 wireless   ,    14,   wireless charge ic
 pa_1       ,    15,   minor pa
 dcxo_0     ,    16,   major crystal oscillator
 dcxo_1     ,    17,   minor crystal oscillator
 camera_0   ,    18,   back camera
 camera_1   ,    19,   front camera
 codec      ,    20,   codec
 shell_frame,    22,   frame shell
 ambient_v1 ,    23,   ambient v1.0
 ambient    ,    24,   ambient v2
 ir         ,    25,   ir
 dot        ,    26,   dot
 flash_led  ,    27,   flash led
 shell_front,    28,   front shell
 shell_back ,    29,   back shell
 usb_port   ,    30,   accurate USB
 supply_avg ,    31, average value of battery supply
 "supply_peak,   32, peak value of battery supply
 bat_0      ,    33, battery_0 of dual-battery
 bat_1      ,    34, battery_1 of dual-battery
 pa_2       ,    35, sub pa
 pa_3       ,    36, sub pa
 pa_4       ,    37, sub pa
 mmw_0      ,    38, mmw major pa
 mmw_1      ,    39, mmw minor pa
 shell_0    ,    40, shell v3.0
 shell_1    ,    41, shell v3.0
 shell_2    ,    42, shell v3.0
 shell_3    ,    43, shell v3.0
 shell_4    ,    44, shell v3.0
 shell_5    ,    45, shell v3.0
 cluster2   ,    46, acpu big cpu core
 msm-therm-adc,  47, ap zone on Qcom platform
 msm-therm  ,    48, ap zone on Qcom platform
 chg-therm  ,  49, charge ic on Qcom platform
 pa-therm0  ,    50, pa on Qcom platform
 pa_1  ,    51, pa on Qcom platform
 mtktsAP    ,    52, ap zone on mtk platform
 mtkts_chargerntc, 53, charge ic on mtk platform
 mtktsbtsmdpa,   54, pa on mtk platform
 mtkts_usbntc,   55, usb on mtk platform
 mtktsbtsnrpa,   56 5g pa mtk platform
-->
<thermal version="0.02" product="ELZ">

<!--配置需要上传的温度属性信息-->
<sensor_temp name="ambient" type="24" enable="true" min_temp="-30" step="5" to_celsius="1000">
    <thresholds>75</thresholds>
</sensor_temp>

<sensor_temp name="rfboard" type="13" enable="true" min_temp="-30" step="5" to_celsius="1000">
    <thresholds>75</thresholds>
</sensor_temp>

<sensor_temp name="shell_frame" type="22" enable="true" min_temp="0" step="5" to_celsius="1000">
    <thresholds>75</thresholds>
</sensor_temp>

<sensor_temp name="shell_front" type="28" enable="true" min_temp="0" step="5" to_celsius="1000">
    <thresholds>75</thresholds>
</sensor_temp>

<sensor_temp name="shell_back" type="29" enable="true" min_temp="0" step="5" to_celsius="1000">
    <thresholds>75</thresholds>
</sensor_temp>

<sensor_temp name="system_h" type="0" enable="true" min_temp="-30" step="5" to_celsius="1000">
    <thresholds>75</thresholds>
</sensor_temp>

<sensor_temp name="charger" type="2" enable="true" min_temp="0" step="5" to_celsius="1000">
    <thresholds>75</thresholds>
</sensor_temp>

<sensor_temp name="pa_0" type="1" enable="true" min_temp="0" step="5" to_celsius="1000">
    <thresholds>75</thresholds>
</sensor_temp>

<sensor_temp name="pa_1" type="15" enable="true" min_temp="0" step="5" to_celsius="1000">
    <thresholds>75</thresholds>
</sensor_temp>

<sensor_temp name="battery" type="9" enable="true" min_temp="-20" step="5" to_celsius="1000">
    <thresholds>70</thresholds>
</sensor_temp>

<sensor_temp name="usb_port" type="30" enable="true" min_temp="-20" step="5" to_celsius="1000">
    <thresholds>70</thresholds>
</sensor_temp>

<ambient_calculate_coef>
    <debug>0</debug>
    <nstate>60</nstate>
    <ncalc>6</ncalc>
    <nout>5</nout>
    <deltat>5</deltat>
    <tau>100</tau>
    <epsilon>1</epsilon>
    <interval>200</interval>
    <cur_step>300</cur_step>
    <ntc_step>2000</ntc_step>
    <ntc_rate>75</ntc_rate>
    <version>30</version>
    <para_init_a>3424.1999</para_init_a>
    <para_init_b>25.54146</para_init_b>
    <para_ac_a>8286.4917</para_ac_a>
    <para_ac_b>-0.073944</para_ac_b>
    <para_ac_cur>0</para_ac_cur>
    <para_dc_a>5972.043</para_dc_a>
    <para_dc_b>-0.08122</para_dc_b>
    <para_dc_cur>-0.21401</para_dc_cur>
    <temp_norm>1</temp_norm>
    <amb_max>80000</amb_max>
    <amb_min>-40000</amb_min>
    <amb_range>-40000</amb_range>
    <cur_norm>3800</cur_norm>
    <sensor_count>4</sensor_count>
    <sensor0 type="battery" alpha="0.7392" beta="0.8927"/>
    <sensor1 type="battery" alpha="0" beta="0"/>
    <sensor2 type="system_h" alpha="-0.126607" beta="-0.049764"/>
    <sensor3 type="charger" alpha="0.0716" beta="-0.1021"/>
</ambient_calculate_coef>

<shell_calculate_coef>
    <shell_count>3</shell_count>
    <interval>5</interval>
    <tsensor_min>0</tsensor_min>
    <tsensor_max>100</tsensor_max>
    <tsensor_step>10</tsensor_step>
    <ntc_min>-20000</ntc_min>
    <ntc_max>80000</ntc_max>
    <ntc_step>2000</ntc_step>
    <temp_step_range>1000</temp_step_range>
    <temp_max_step_range>10000</temp_max_step_range>
    <shell_coef0 name="shell_frame">
        <bat_bias>500</bat_bias>
        <sensor_count>6</sensor_count>
        <const_coef>2</const_coef>
        <coef_count>7</coef_count>
        <sensor0 name="system_h" type="ntc" coef="-6235,1031,-1105,250,295,961,327"/>
        <sensor1 name="charger" type="ntc" coef="32765,18246,7320,1437,853,-235,-10491"/>
        <sensor2 name="usb_port" type="ntc" coef="12636,-18597,-3272,873,-1166,2318,3177"/>
        <sensor3 name="rfboard" type="ntc" coef="26325,3903,518,-4694,-519,-206,12929"/>
        <sensor4 name="wireless" type="ntc" coef="-25277,-3262,521,1731,898,-1995,21701"/>
		<sensor5 name="pa_1" type="ntc" coef="42109,-4586,4854,3842,5446,-8500,-18445"/>
    </shell_coef0>
    <shell_coef1 name="shell_front">
        <bat_bias>500</bat_bias>
        <sensor_count>6</sensor_count>
        <const_coef>682</const_coef>
        <coef_count>7</coef_count>
        <sensor0 name="system_h" type="ntc" coef="-12432,-443,-3126,-1497,-436,-224,-811"/>
        <sensor1 name="charger" type="ntc" coef="71198,39208,13367,4143,5903,-2577,-75057"/>
        <sensor2 name="usb_port" type="ntc" coef="34213,-45587,-4483,-3407,-5483,23978,-5872"/>
        <sensor3 name="rfboard" type="ntc" coef="73087,7469,-6647,-4888,11807,-23516,-23152"/>
		<sensor4 name="wireless" type="ntc" coef="-92009,-25518,-2605,82,-1083,14936,100014"/>
        <sensor5 name="pa_1" type="ntc" coef="104075,-18204,12264,8536,4015,-29943,-42618"/>
    </shell_coef1>
    <shell_coef2 name="shell_back">
        <bat_bias>500</bat_bias>
        <sensor_count>6</sensor_count>
        <const_coef>80</const_coef>
        <coef_count>7</coef_count>
        <sensor0 name="system_h" type="ntc" coef="-29394,-6002,-11660,-8869,-6732,-6898,-980"/>
        <sensor1 name="charger" type="ntc" coef="50034,30929,11687,7424,3842,-9277,-26927"/>
        <sensor2 name="usb_port" type="ntc" coef="45982,-24528,4804,7429,9723,-5098,-16587"/>
        <sensor3 name="rfboard" type="ntc" coef="12306,-10761,-23316,-19617,-12157,14028,65354"/>
		<sensor4 name="wireless" type="ntc" coef="-46587,-13029,4036,848,2875,24683,10741"/>
        <sensor5 name="pa_1" type="ntc" coef="90985,5470,29575,25288,4032,-6136,-79935"/>
    </shell_coef2>
</shell_calculate_coef>


</thermal>
